> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get market explorer filters

> Fetches available filters for a specific market.
  
  [List Market Explorer Companies](./list-market-explorer-companies) supports in its
  Query parameters a set of filters that can be applied to the list of companies. This
  endpoint provides the available options for those filters, which can be used to
  construct the query for listing companies. In particular, these filters are extracted
  across all companies in the market without pagination, allowing UI applications to
  show all available filters regardless of the pagination applied on the UI.
  
  <Tip>Not typically useful for pure API consumers.</Tip>



## OpenAPI

````yaml get /v2/markets/{marketId}/explorer/companies/filters
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/markets/{marketId}/explorer/companies/filters:
    get:
      tags:
        - Markets
      summary: Get market explorer filters
      description: |-
        Fetches available filters for a specific market.
          
          [List Market Explorer Companies](./list-market-explorer-companies) supports in its
          Query parameters a set of filters that can be applied to the list of companies. This
          endpoint provides the available options for those filters, which can be used to
          construct the query for listing companies. In particular, these filters are extracted
          across all companies in the market without pagination, allowing UI applications to
          show all available filters regardless of the pagination applied on the UI.
          
          <Tip>Not typically useful for pure API consumers.</Tip>
      parameters:
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: ID of the market whose explorer companies will be retrieved.
          required: true
          description: ID of the market whose explorer companies will be retrieved.
          name: marketId
          in: path
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Unique identifier for the team used to access the market, for
              determining access rights and blacklists.
                  Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
          required: false
          description: >-
            Unique identifier for the team used to access the market, for
            determining access rights and blacklists.
                Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
          name: teamId
          in: path
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Unique identifier for the team used to access the market, for
              determining access rights and blacklists.
                  Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
          required: false
          description: >-
            Unique identifier for the team used to access the market, for
            determining access rights and blacklists.
                Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
          name: teamId
          in: query
        - schema:
            type: string
            description: Search term to filter companies by name, or description.
          required: false
          description: Search term to filter companies by name, or description.
          name: search
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: domains
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: categories
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: userTags
          in: query
        - schema:
            type: boolean
            nullable: true
          required: false
          name: favourites
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: topics
          in: query
        - schema:
            type: array
            items:
              type: string
            description: >-
              Filter by feature architecture node IDs. Prefix with 'e:' to
              exclude (e.g., '1, 2, e:3').
          required: false
          description: >-
            Filter by feature architecture node IDs. Prefix with 'e:' to exclude
            (e.g., '1, 2, e:3').
          name: features
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: size
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: revenueRange
          in: query
        - schema:
            type: boolean
            nullable: true
          required: false
          name: isLocationVerified
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: hqCountry
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: hqState
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: hqCity
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: phrases
          in: query
        - schema:
            type: object
            properties:
              min:
                type: integer
                minimum: 0
                maximum: 100
              max:
                type: integer
                minimum: 0
                maximum: 100
            required:
              - min
              - max
          required: false
          name: momentumScoreRange
          in: query
        - schema:
            type: object
            properties:
              min:
                type: integer
                minimum: 1700
                maximum: 2026
              max:
                type: integer
                minimum: 1700
                maximum: 2026
            required:
              - min
              - max
          required: false
          name: foundedYearRange
          in: query
        - schema:
            type: string
            description: Filter companies by version date.
          required: false
          description: Filter companies by version date.
          name: versionDate
          in: query
      responses:
        '200':
          description: Market explorer filters response schema
          content:
            application/json:
              schema:
                type: object
                properties:
                  yearFounded:
                    type: object
                    properties:
                      filtered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                      unfiltered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                    required:
                      - filtered
                      - unfiltered
                  yearFoundedMin:
                    type: object
                    properties:
                      filtered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                      unfiltered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                    required:
                      - filtered
                      - unfiltered
                  yearFoundedMax:
                    type: object
                    properties:
                      filtered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                      unfiltered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                    required:
                      - filtered
                      - unfiltered
                  companySize:
                    type: object
                    properties:
                      filtered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                      unfiltered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                    required:
                      - filtered
                      - unfiltered
                  companyRevenue:
                    type: object
                    properties:
                      filtered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                      unfiltered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                    required:
                      - filtered
                      - unfiltered
                  hqCountry:
                    type: object
                    properties:
                      filtered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                      unfiltered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                    required:
                      - filtered
                      - unfiltered
                  hqState:
                    type: object
                    properties:
                      filtered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                      unfiltered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                    required:
                      - filtered
                      - unfiltered
                  hqCity:
                    type: object
                    properties:
                      filtered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                      unfiltered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                    required:
                      - filtered
                      - unfiltered
                  categories:
                    type: object
                    properties:
                      filtered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                      unfiltered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                    required:
                      - filtered
                      - unfiltered
                  userTags:
                    type: object
                    properties:
                      filtered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                      unfiltered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                    required:
                      - filtered
                      - unfiltered
                  momentumScore:
                    type: object
                    properties:
                      filtered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                      unfiltered:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            count:
                              type: number
                          required:
                            - label
                            - count
                    required:
                      - filtered
                      - unfiltered
                  momentumScoreMin:
                    type: object
                    properties:
                      filtered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                      unfiltered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                    required:
                      - filtered
                      - unfiltered
                  momentumScoreMax:
                    type: object
                    properties:
                      filtered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                      unfiltered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                    required:
                      - filtered
                      - unfiltered
                  isLocationVerified:
                    type: object
                    properties:
                      filtered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                      unfiltered:
                        type: object
                        properties:
                          label:
                            type: string
                          count:
                            type: number
                        required:
                          - label
                          - count
                    required:
                      - filtered
                      - unfiltered
                required:
                  - yearFounded
                  - yearFoundedMin
                  - yearFoundedMax
                  - companySize
                  - companyRevenue
                  - hqCountry
                  - hqState
                  - hqCity
                  - categories
                  - userTags
                  - momentumScore
                  - momentumScoreMin
                  - momentumScoreMax
                  - isLocationVerified
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                INVALID_INPUT:
                  value:
                    success: false
                    errorCode: INVALID_INPUT
                    message: Bad Request
        '403':
          description: Forbidden - You do not have access to this market
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                FORBIDDEN:
                  value:
                    success: false
                    errorCode: FORBIDDEN
                    message: Forbidden - You do not have access to this market
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                INTERNAL_SERVER_ERROR:
                  value:
                    success: false
                    errorCode: INTERNAL_SERVER_ERROR
                    message: Internal Server Error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````